unit f_atfilt;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, ExtCtrls, StdCtrls, Grids, DBGrids, Buttons,
  DBTableFilter;

type
  TfmDBTableFilter = class(TForm)
    Table1: TTable;
    DBGrid1: TDBGrid;
    Panel1: TPanel;
    btApplyFilter: TButton;
    Label3: TLabel;
    lbDesc: TLabel;
    DataSource1: TDataSource;
    Table1CustNo: TFloatField;
    Table1Company: TStringField;
    Table1Addr1: TStringField;
    Table1Addr2: TStringField;
    Table1City: TStringField;
    Table1State: TStringField;
    Table1Zip: TStringField;
    Table1Country: TStringField;
    Table1Phone: TStringField;
    Table1FAX: TStringField;
    Table1TaxRate: TFloatField;
    Table1Contact: TStringField;
    Table1LastInvoiceDate: TDateTimeField;
    Panel3: TPanel;
    Memo1: TMemo;
    DBTableFilter1: TDBTableFilter;
    Label5: TLabel;
    Label6: TLabel;
    rgSyntax: TRadioGroup;
    Label1: TLabel;
    lbFilter: TLabel;
    procedure btApplyFilterClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure rgSyntaxClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmDBTableFilter: TfmDBTableFilter;

implementation

{$R *.DFM}

procedure TfmDBTableFilter.btApplyFilterClick(Sender: TObject);
begin
   lbDesc.Caption:=DBTableFilter1.DescString; { Show description string }
   lbFilter.Caption:=DBTableFilter1.FilterString; { Show filter string }
   if DBTableFilter1.SyntaxType=stBDEFilter then
   begin
      Table1.Filter:=DBTableFilter1.FilterString; { Filter the table }
      Table1.Filtered:=true;
      Table1.Refresh;
   end else
      ShowMessage('The filter only can be applied if syntax type is BDE Filter. '+
      'For the other syntax types, just look at the filter string. You could use the '+
      'filter string in a Where clause of a SQL statement.');
end;

procedure TfmDBTableFilter.FormCreate(Sender: TObject);
begin
   lbDesc.Caption:='';
   lbFilter.Caption:='';
   DBTableFilter1.AddFields(Table1);
end;

procedure TfmDBTableFilter.rgSyntaxClick(Sender: TObject);
begin
   With DBTableFilter1 do if SyntaxType<>TSyntaxType(rgSyntax.itemIndex+1) then 
   begin
      FilterFields.Clear;
      AddFields(Table1);
      SyntaxType:=TSyntaxType(rgSyntax.ItemIndex+1);
   end;
end;

end.
