unit f_schema;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, atFormSchema, Buttons, atPanel;

type
  TfmatFormSchema = class(TForm)
    FormSchema: TatFormSchema;
    Panel2: TPanel;
    Memo1: TMemo;
    DataPanel: TatPanel;
    Panel1: TPanel;
    lbName: TLabel;
    lbAddress: TLabel;
    lbCity: TLabel;
    lbMoreInformation: TLabel;
    edName: TEdit;
    edAddress: TEdit;
    cbInformation: TComboBox;
    edCity: TEdit;
    BottomPanel: TatPanel;
    btSave: TBitBtn;
    btDelete: TBitBtn;
    btSearch: TBitBtn;
    btDeleteAll: TBitBtn;
    cbSchemas: TComboBox;
    Label5: TLabel;
    procedure FormShow(Sender: TObject);
    procedure cbSchemasChange(Sender: TObject);
    procedure FormSchemaCustomAction(C: TComponent; const Value: string);
  private
    { Private declarations }
    procedure RefreshPanels;
  public
    { Public declarations }
  end;

var
  fmatFormSchema: TfmatFormSchema;

implementation

{$R *.DFM}

procedure TfmatFormSchema.RefreshPanels;
begin
   DataPanel.ArrangeControls;
   BottomPanel.ArrangeControls;
end;

procedure TfmatFormSchema.FormShow(Sender: TObject);
begin
   FormSchema.GetSchemaList(cbSchemas.Items);
   RefreshPanels;
end;

procedure TfmatFormSchema.cbSchemasChange(Sender: TObject);
begin
   FormSchema.ExecuteSchema(cbSchemas.Items[cbSchemas.ItemIndex]);
   RefreshPanels;
end;

procedure TfmatFormSchema.FormSchemaCustomAction(C: TComponent;
  const Value: string);
begin
   if Value='redfontcolor' then
   begin
      if C is TComboBox then
         TComboBox(C).Font.Color:=clRed;
   end else
   if Value='normalfontcolor' then
   begin
      if C is TComboBox then
         TComboBox(C).Font.Color:=clWindowText;
   end;
end;

end.
